%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           pAgenda
Version:        3.2
Release:        5%{?dist}
Summary:        A cross platform calendar and scheduler

Group:          Applications/Productivity
License:        GPLv2
URL:            http://www.pcbypaul.com/software/pagenda.html
Source0:        http://www.pcbypaul.com/software/dl/%{name}_src-%{version}.tar.bz2
Source1:        pagenda32.png
Source2:        pAgenda.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  desktop-file-utils python
Requires:       sqlite python-sqlite2 wxGTK wxPython

%description
A cross platform calendar and scheduler with the ability to use sqlite 
databases to manage multiple portable schedules.
Also includes appointment and contact management abilities.

%prep
%setup -q -n %{name}_src-%{version}

#Remove +x from documentation.
%{__chmod} a-x changelog.txt README.txt COPYING.TXT images.py

%build
# We don't build anything, but just to go along with Guidelines

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
mv pagenda.py $RPM_BUILD_ROOT%{_bindir}/pagenda
%{__mkdir_p} $RPM_BUILD_ROOT%{python_sitelib}/
mv images.py $RPM_BUILD_ROOT%{python_sitelib}/

# .desktop voodoo

desktop-file-install --vendor="fedora"               \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
  %{SOURCE2}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/



%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc changelog.txt README.txt COPYING.TXT

%{_bindir}/pagenda
%{python_sitelib}/images.*
%{_datadir}/applications/fedora-pAgenda.desktop
%{_datadir}/icons/hicolor/32x32/apps/pagenda32.png

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.2-3
- Rebuild for Python 2.6

* Sat Apr 19 2008 Nigel Jones <dev@nigelj.com>  3.2-2
- Fix wrong version in changelog (oops)
- Changes to .desktop file (remove .png & add missing ;)
- Make macro use consistant
* Sat Apr 19 2008 Nigel Jones <dev@nigelj.com>  3.2-1
- Initial spec file for pAgenda
